<?php
/**
 * sample code for GiroConnect integration of a notification page
 *
 * @filesource
 * @package Samples
 * @version $Revision: 36 $ / $Date: 2014-06-11 15:08:35 +0200 (Mi, 11 Jun 2014) $
 */
require_once '../GiroCheckout_SDK/GiroCheckout_SDK.php';


//set the secret for hash validation of the received data
$projectPassword = "0000000000";

//init notification and pass transaction type, set password and parse the received data
try {
	$notify = new GiroCheckout_SDK_Notify('giropayTransactionWithGiropayID');
	$notify->setSecret($projectPassword);
	$notify->parseNotification($_GET);
	
	
	//check response and update transaction
	if($notify->paymentSuccessful()) {
	    $notify->getResponseParam('gcReference');
	    $notify->getResponseParam('gcMerchantTxId');
	    $notify->getResponseParam('gcBackendTxId');
	    $notify->getResponseParam('gcAmount');
	    $notify->getResponseParam('gcCurrency');
	    $notify->getResponseParam('gcResultPayment');
	
	    if($notify->avsSuccessful()) {
	        $notify->getResponseParam('gcResultAVS');
	    }
	
	    $notify->sendOkStatus();
	    exit;
	}
	else {
	    $notify->getResponseParam('gcReference');
	    $notify->getResponseParam('gcMerchantTxId');
	    $notify->getResponseParam('gcBackendTxId');
	    $notify->getResponseParam('gcResultPayment');
	
	    $notify->sendOkStatus();
	    exit;
	}
	
	$notify->sendOtherStatus();
}
catch (Exception $e) {}